import React from 'react';
import { Button, View } from 'react-native';
import Animated, { Layout, ZoomIn } from 'react-native-reanimated';
import { Colors } from '../../theme';
import { useAnimatedCard } from './hooks';
import styles from './styles';
const RenderCard = ({ onLeftSwipe, onRightSwipe }) => {
    return (React.createElement(View, { style: styles.renderCardContainerStyle },
        React.createElement(View, { style: styles.renderCardStyle },
            React.createElement(View, { style: styles.renderCardButtonViewStyle },
                React.createElement(Button, { onPress: onLeftSwipe, title: 'Swipe Left', color: Colors.white })),
            React.createElement(View, { style: styles.renderCardButtonViewStyle },
                React.createElement(Button, { onPress: onRightSwipe, title: 'Swipe Right', color: Colors.white })))));
};
const AnimatedCard = ({ style, renderCard, onLeftSwipeEnd, onRightSwipeEnd, cardStyle, }) => {
    const { onLeftSwipe, onRightSwipe, animationSimpleCardStyle } = useAnimatedCard({
        onLeftSwipeEnd,
        onRightSwipeEnd,
    });
    return (React.createElement(View, { style: [styles.containerStyle, style] },
        React.createElement(Animated.View, { style: [styles.card, animationSimpleCardStyle, cardStyle], layout: Layout.duration(600).delay(200), entering: ZoomIn.duration(600).delay(200) },
            renderCard && renderCard({ onLeftSwipe, onRightSwipe }),
            !renderCard && (React.createElement(RenderCard, { onLeftSwipe: onLeftSwipe, onRightSwipe: onRightSwipe })))));
};
export default AnimatedCard;
//# sourceMappingURL=AnimatedCard.js.map