import React from 'react';
import { View } from 'react-native';
import { GestureDetector } from 'react-native-gesture-handler';
import Animated, { Layout, ZoomIn } from 'react-native-reanimated';
import { useAnimatedCard } from './hooks';
import styles from './styles';
const SwipeableCard = ({ children, style, cardStyle, }) => {
    const { gesture, animationSwipeableCardStyle } = useAnimatedCard({});
    return (React.createElement(View, { style: [styles.containerStyle, style], pointerEvents: "box-none" },
        React.createElement(GestureDetector, { gesture: gesture },
            React.createElement(Animated.View, { style: [styles.card, animationSwipeableCardStyle, cardStyle], layout: Layout.duration(600).delay(200), entering: ZoomIn.duration(600).delay(200) }, children))));
};
export default SwipeableCard;
//# sourceMappingURL=SwipeableCard.js.map