import React from 'react';
import { View } from 'react-native';
import Animated, { Layout } from 'react-native-reanimated';
import { useAnimatedList } from './hooks';
import styles from './styles';
const AnimatedCard = ({ index, animationType, children, animationDelay, animationDuration, cardStyle, }) => {
    const { enterType, exitType } = useAnimatedList(animationType);
    return (React.createElement(View, { style: [styles.container, cardStyle] },
        React.createElement(Animated.View, { layout: Layout.springify(), style: styles.card, entering: enterType
                .duration(animationDuration)
                .delay(index * animationDelay), exiting: exitType
                .duration(animationDuration)
                .delay(index * animationDelay) }, children)));
};
export default AnimatedCard;
//# sourceMappingURL=AnimatedCard.js.map