import React from 'react';
import { Animated, View } from 'react-native';
import { useAnimatedPulse } from './hooks';
import styles from './styles';
const AnimatedPulse = ({ pulseStyle, pulseStart = 1, pulseEnd = 2, pulseSpeed = 1000, pulseDisable = false, children, }) => {
    const { pulseValue } = useAnimatedPulse({
        pulseStart,
        pulseEnd,
        pulseSpeed,
        pulseDisable,
    });
    return (React.createElement(React.Fragment, null,
        React.createElement(Animated.View, { style: [
                styles.container,
                pulseStyle,
                { transform: [{ scale: pulseValue.current }] },
            ] }),
        React.createElement(View, { style: styles.childrenViewStyle }, children)));
};
export default AnimatedPulse;
//# sourceMappingURL=AnimatedPulse.js.map