import React from 'react';
import { Animated, TouchableOpacity, View } from 'react-native';
import Images from '../../assets';
import { AnimatedPulse } from '../AnimatedPulse';
import { useMediaButton } from './hooks';
import styles from './styles';
const MediaButton = ({ speed = 500, style, buttonStyle, playImageSource = Images.play, pauseImageSource = Images.pause, imageStyle, onPlayPress = () => { }, onPausePress = () => { }, pulseStyle, pulseStart = 1, pulseEnd = 2, pulseSpeed = 1000, pulseDisable = false, }) => {
    const { animationEffect, animatedPauseStyle, animatedPlayStyle } = useMediaButton({ speed, onPlayPress, onPausePress });
    return (React.createElement(View, { style: [styles.container, style] },
        React.createElement(AnimatedPulse, { pulseDisable: pulseDisable, pulseEnd: pulseEnd, pulseSpeed: pulseSpeed, pulseStart: pulseStart, pulseStyle: pulseStyle },
            React.createElement(TouchableOpacity, { onPress: animationEffect, activeOpacity: 1, style: [styles.buttonContainer, buttonStyle] },
                React.createElement(Animated.Image, { source: playImageSource, style: [styles.image, imageStyle, animatedPlayStyle] }),
                React.createElement(Animated.Image, { source: pauseImageSource, style: [styles.image, imageStyle, animatedPauseStyle] })))));
};
export default MediaButton;
//# sourceMappingURL=MediaButton.js.map