import React, { forwardRef, memo } from 'react';
import { FlatList, Text } from 'react-native';
import Animated from 'react-native-reanimated';
import styles from './styles/AnimatedFlatListStyles';
export const AnimateFlatList = Animated.createAnimatedComponent(FlatList);
const ListEmptyComponent = () => (React.createElement(Text, { style: styles.textNoDataFoundStyle }, "No Data found"));
const AnimatedFlatList = forwardRef(({ renderTabContent, data, ...rest }, ref) => {
    return (React.createElement(AnimateFlatList, { data: data, ref: ref, style: styles.container, renderItem: ({ item }) => {
            return renderTabContent({ item });
        }, ListEmptyComponent: ListEmptyComponent, ...rest }));
});
export default memo(AnimatedFlatList);
//# sourceMappingURL=AnimatedFlatList.js.map