import React, { memo, useMemo } from 'react';
import { Image, Text, TouchableOpacity, View } from 'react-native';
import styles from './styles/DefaultItemStyles';
export const PHOTO_SIZE = 40;
const DefaultItem = ({ style, items }) => {
    const { photo, name } = items;
    const mergedStyle = useMemo(() => [styles.container, style], [style]);
    return (React.createElement(TouchableOpacity, null,
        React.createElement(View, { style: mergedStyle },
            React.createElement(Image, { style: styles.image, source: { uri: photo } }),
            React.createElement(Text, { style: styles.name }, name))));
};
export default memo(DefaultItem);
//# sourceMappingURL=DefaultItem.js.map