import React, { memo, useMemo } from 'react';
import { Image, Text, TouchableOpacity, View } from 'react-native';
import Images from '../../../assets';
import styles from './styles/HeaderStyles';
const Header = ({ style, name = 'User Name', photo = Images.avatar, description = "Let's Start", children, }) => {
    const containerStyle = useMemo(() => [styles.container, style], [style]);
    return (React.createElement(View, { style: containerStyle }, !children ? (React.createElement(React.Fragment, null,
        React.createElement(Image, { style: styles.photo, source: photo }),
        React.createElement(View, { style: styles.textContainer },
            React.createElement(Text, { style: styles.name }, name),
            React.createElement(Text, { style: styles.description }, description),
            React.createElement(TouchableOpacity, { style: styles.followTouchableStyle },
                React.createElement(Text, { style: styles.textFollow }, "Follow"))))) : (children)));
};
export default memo(Header);
//# sourceMappingURL=Header.js.map