const useScrollSync = (scrollPairs, headerConfig) => {
    const sync = (event) => {
        var _a, _b;
        const { y } = event.nativeEvent.contentOffset;
        const { heightCollapsed, heightExpanded } = headerConfig;
        const headerDiff = heightExpanded - heightCollapsed;
        for (const { list, position } of scrollPairs) {
            const scrollPosition = (_a = position.value) !== null && _a !== void 0 ? _a : 0;
            if (scrollPosition > headerDiff && y > headerDiff) {
                continue;
            }
            (_b = list.current) === null || _b === void 0 ? void 0 : _b.scrollToOffset({
                offset: Math.min(y, headerDiff),
                animated: false,
            });
        }
    };
    return { sync };
};
export default useScrollSync;
//# sourceMappingURL=useScrollSync.js.map